View Issue Details

IDProjectCategoryView StatusLast Update
0001651SketcherFeaturepublic2015-06-01 07:51
ReporterSternaAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacbook Pro late 2011OSOS XOS Version10.9.4
Product Version0.14 
Target VersionFixed in Version0.16 
Summary0001651: Sketcher: Add a measurement tool
DescriptionOne usecase with Freecad is to simply sketch something and have Freecad calculate the lengths and angles of certain lines and such instead of doing this the hard way (pen, paper and trigonometry). What usually do is to add constraints (such as length and angle), even though I know the are redundant, and check that result. However, due to Issue 0001647 (http://www.freecadweb.org/tracker/view.php?id=1647) this is not viable, since every "measurement" takes several minutes to perform.
Please add some method to add "fake" constraints or measurements.
TagsNo tags attached.

Relationships

related to 0001890 closedabdullah Add "non-driving dimensions" capability to the sketcher 

Activities

wmayer

2014-07-30 11:00

administrator   ~0004877

Inside the Part workbench you'll find a simple measurement tool to compute angles and distances.

Related Changesets

FreeCAD: master a1c3b942

2015-05-26 14:37:22

Abdullah Tahiri


Committer: wmayer Details Diff
Sketcher: Driving/reference creation improvements and some other fixes
======================================================================

- Changing from Driving to reference does not include unnecessary solvings.
- Added some checks to avoid making Driving constraints when calling directly from python and involving only external geometry (would give redundant constraints).
- New python command toggleDriving to just change the status from reference to Driving
- New UI toolbar Command to toggle constraints
- Fix to allow switching from/to construction mode during continuous mode creation.
- Enable/Disable for constraints in constraints widget has changed to operate on multiselection and now effects "toggle" instead of enable/disable.
- Disable the option to directly create a SnellsLaw non-driving constraint (this constraint does not support direct creation, it can be toggled to non-driving after creation though).
Affected Issues
0001651, 0001890
mod - src/Mod/Sketcher/App/SketchObject.cpp Diff File
mod - src/Mod/Sketcher/App/SketchObject.h Diff File
mod - src/Mod/Sketcher/App/SketchObjectPy.xml Diff File
mod - src/Mod/Sketcher/App/SketchObjectPyImp.cpp Diff File
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File
mod - src/Mod/Sketcher/Gui/CommandCreateGeo.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherConstrains.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherConstrains.ui Diff File
mod - src/Mod/Sketcher/Gui/Workbench.cpp Diff File

Issue History

Date Modified Username Field Change
2014-07-29 22:37 Sterna New Issue
2014-07-30 11:00 wmayer Note Added: 0004877
2015-01-12 12:31 wmayer Relationship added related to 0001890
2015-06-01 07:50 wmayer Changeset attached => FreeCAD Master master a1c3b942
2015-06-01 07:51 wmayer Status new => closed
2015-06-01 07:51 wmayer Assigned To => abdullah
2015-06-01 07:51 wmayer Resolution open => fixed
2015-06-01 07:51 wmayer Fixed in Version => 0.16